/* Microsoft SQL Server - Scripting			*/
/* Server: ISOLDER					*/
/* Database: CommerceBM					*/
/* Creation Date 6/26/97 2:25:00 PM 			*/

/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseIISLog') and sysstat & 0xf = 4)
	drop procedure dbo.ParseIISLog
GO

/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseInetLoad') and sysstat & 0xf = 4)
	drop procedure dbo.ParseInetLoad
GO

/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.CleanILScratch') and sysstat & 0xf = 4)
	drop procedure dbo.CleanILScratch
GO

/****** Object:  Stored Procedure dbo.ParseIisPerf    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseIisPerf') and sysstat & 0xf = 4)
	drop procedure dbo.ParseIisPerf
GO

/****** Object:  Stored Procedure dbo.ParseSqlPerf    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.ParseSqlPerf') and sysstat & 0xf = 4)
	drop procedure dbo.ParseSqlPerf
GO

/****** Object:  Table dbo.DataFileDetail    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.DataFileDetail') and sysstat & 0xf = 3)
	drop table dbo.DataFileDetail
GO

/****** Object:  Table dbo.DataFile    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.DataFile') and sysstat & 0xf = 3)
	drop table dbo.DataFile
GO

/****** Object:  Table dbo.MachineProcessEnvironment    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.MachineProcessEnvironment') and sysstat & 0xf = 3)
	drop table dbo.MachineProcessEnvironment
GO

/****** Object:  Table dbo.script    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.script') and sysstat & 0xf = 3)
	drop table dbo.script
GO

/****** Object:  Table dbo.Test    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.Test') and sysstat & 0xf = 3)
	drop table dbo.Test
GO

/****** Object:  Table dbo.dfd4    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.dfd4') and sysstat & 0xf = 3)
	drop table dbo.dfd4
GO

/****** Object:  Table dbo.dfd8    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.dfd8') and sysstat & 0xf = 3)
	drop table dbo.dfd8
GO

/****** Object:  Table dbo.FileType    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.FileType') and sysstat & 0xf = 3)
	drop table dbo.FileType
GO

/****** Object:  Table dbo.IISCpuPerfMon    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.IISCpuPerfMon') and sysstat & 0xf = 3)
	drop table dbo.IISCpuPerfMon
GO

/****** Object:  Table dbo.IISCpuPerfMonScratch    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.IISCpuPerfMonScratch') and sysstat & 0xf = 3)
	drop table dbo.IISCpuPerfMonScratch
GO

/****** Object:  Table dbo.InetLoad    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.InetLoad') and sysstat & 0xf = 3)
	drop table dbo.InetLoad
GO

/****** Object:  Table dbo.InetLoadScratch    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.InetLoadScratch') and sysstat & 0xf = 3)
	drop table dbo.InetLoadScratch
GO

/****** Object:  Table dbo.inetlog    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.inetlog') and sysstat & 0xf = 3)
	drop table dbo.inetlog
GO

/****** Object:  Table dbo.machine    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.machine') and sysstat & 0xf = 3)
	drop table dbo.machine
GO

/****** Object:  Table dbo.ScriptType    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.ScriptType') and sysstat & 0xf = 3)
	drop table dbo.ScriptType
GO

/****** Object:  Table dbo.SQLCpuPerfMon    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.SQLCpuPerfMon') and sysstat & 0xf = 3)
	drop table dbo.SQLCpuPerfMon
GO

/****** Object:  Table dbo.SQLCpuPerfMonScratch    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.SQLCpuPerfMonScratch') and sysstat & 0xf = 3)
	drop table dbo.SQLCpuPerfMonScratch
GO

/****** Object:  Table dbo.testsuite    Script Date: 6/26/97 2:25:03 PM ******/
if exists (select * from sysobjects where id = object_id('dbo.testsuite') and sysstat & 0xf = 3)
	drop table dbo.testsuite
GO

/****** Object:  Table dbo.dfd4    Script Date: 6/26/97 2:25:03 PM ******/
CREATE TABLE dbo.dfd4 (
	operation varchar (255) NULL ,
	timetocomplete float NULL ,
	fileid int NULL ,
	filedetailid int IDENTITY (1, 1) NOT NULL 
)
GO

/****** Object:  Table dbo.dfd8    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.dfd8 (
	operation varchar (255) NULL ,
	timetocomplete float NULL ,
	fileid int NULL ,
	filedetailid int IDENTITY (1, 1) NOT NULL 
)
GO

/****** Object:  Table dbo.FileType    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.FileType (
	Type smallint NOT NULL ,
	NamingConvention varchar (20) NULL ,
	Description varchar (50) NULL 
)
GO

/****** Object:  Table dbo.IISCpuPerfMon    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.IISCpuPerfMon (
	SuiteId int NULL ,
	TestId int NULL ,
	SampleTime varchar (50) NULL ,
	Processor1 float NULL ,
	Processor0 float NULL ,
	PhysicalDiskWritesSec float NULL ,
	PhysicalDiskReadsSec float NULL ,
	PhysicalDiskAvgDiskWrites float NULL ,
	PyhsicalDiskAvgDiskReads float NULL ,
	PhysicalDiskPctDiskWriteTime float NULL ,
	PhysicalDiskPctDiskReadTime float NULL ,
	MemoryPageFaultsSec float NULL ,
	LogicalDiskDiskWritesSec float NULL ,
	LogicalDiskDiskReadsSec float NULL ,
	LogicalDiskAvgDiskWrite float NULL ,
	LogicalDiskAvgDiskRead float NULL ,
	LogicalDiskPctWriteTime float NULL ,
	LogicalDiskPctDiskReadTime float NULL ,
	HTTPServiceBytesSentSec float NULL ,
	HTTPServiceBytesReceivedSec float NULL ,
	ASPRequestsSec float NULL ,
	ASPRequestsTimedOut float NULL ,
	ASPRequestsCurrent float NULL ,
	ASPRequestWaitTime float NULL ,
	ASPMemoryAllocated float NULL 
)
GO

/****** Object:  Table dbo.IISCpuPerfMonScratch    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.IISCpuPerfMonScratch (
	SampleTime varchar (50) NULL ,
	Processor1 float NULL ,
	Processor0 float NULL ,
	PhysicalDiskWritesSec float NULL ,
	PhysicalDiskReadsSec float NULL ,
	PhysicalDiskAvgDiskWrites float NULL ,
	PyhsicalDiskAvgDiskReads float NULL ,
	PhysicalDiskPctDiskWriteTime float NULL ,
	PhysicalDiskPctDiskReadTime float NULL ,
	MemoryPageFaultsSec float NULL ,
	LogicalDiskDiskWritesSec float NULL ,
	LogicalDiskDiskReadsSec float NULL ,
	LogicalDiskAvgDiskWrite float NULL ,
	LogicalDiskAvgDiskRead float NULL ,
	LogicalDiskPctWriteTime float NULL ,
	LogicalDiskPctDiskReadTime float NULL ,
	HTTPServiceBytesSentSec float NULL ,
	HTTPServiceBytesReceivedSec float NULL ,
	ASPRequestsSec float NULL ,
	ASPRequestsTimedOut float NULL ,
	ASPRequestsCurrent float NULL ,
	ASPRequestWaitTime float NULL ,
	ASPMemoryAllocated float NULL 
)
GO

/****** Object:  Table dbo.InetLoad    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.InetLoad (
	LogTime varchar (30) NOT NULL ,
	TimeToComplete int NULL ,
	Client int NULL ,
	Operation varchar (255) NULL 
)
GO

/****** Object:  Table dbo.InetLoadScratch    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.InetLoadScratch (
	OneLine varchar (255) NULL 
)
GO

/****** Object:  Table dbo.inetlog    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.inetlog (
	ClientHost varchar (255) NOT NULL ,
	username varchar (255) NOT NULL ,
	LogTime datetime NOT NULL ,
	LogDate datetime NULL ,
	service varchar (255) NOT NULL ,
	machine varchar (255) NOT NULL ,
	serverip varchar (50) NOT NULL ,
	processingtime int NOT NULL ,
	bytesrecvd int NOT NULL ,
	bytessent int NOT NULL ,
	servicestatus int NOT NULL ,
	win32status int NOT NULL ,
	operation varchar (255) NOT NULL ,
	target varchar (255) NOT NULL ,
	parameters varchar (255) NOT NULL 
)
GO

/****** Object:  Table dbo.machine    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.machine (
	MachineId int IDENTITY (1, 1) NOT NULL ,
	MachineName varchar (20) NULL ,
	MachineDescription varchar (255) NULL ,
	MachineType varchar (20) NULL ,
	NumberOfProcessors tinyint NULL ,
	ProcessorType varchar (20) NULL ,
	NumberofControllers tinyint NULL ,
	RAM smallint NULL ,
	TotalDisk float NULL ,
	NIC varchar (50) NULL 
)
GO

/****** Object:  Table dbo.ScriptType    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.ScriptType (
	script_type int NOT NULL ,
	script_description varchar (255) NULL 
)
GO

/****** Object:  Table dbo.SQLCpuPerfMon    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.SQLCpuPerfMon (
	SuiteId int NULL ,
	TestId int NULL ,
	SampleTime varchar (50) NULL ,
	SQLServerIOTransactionsSec float NULL ,
	SQLServerIOPageReadsSec float NULL ,
	SQLServerIOLogWritesSec float NULL ,
	SQLServerIOBatchWritesSec float NULL ,
	Processor0 float NULL ,
	PhysicalDiskWritesSec float NULL ,
	PhysicalDiskReadsSec float NULL ,
	PhysicalDiskAvgDiskWrites float NULL ,
	PyhsicalDiskAvgDiskReads float NULL ,
	PhysicalDiskPctDiskWriteTime float NULL ,
	PhysicalDiskPctDiskReadTime float NULL ,
	MemoryPageFaultsSec float NULL ,
	LogicalDiskDiskWritesSec float NULL ,
	LogicalDiskDiskReadsSec float NULL ,
	LogicalDiskAvgDiskWrite float NULL ,
	LogicalDiskAvgDiskRead float NULL ,
	LogicalDiskPctWriteTime float NULL ,
	LogicalDiskPctDiskReadTime float NULL 
)
GO

/****** Object:  Table dbo.SQLCpuPerfMonScratch    Script Date: 6/26/97 2:25:04 PM ******/
CREATE TABLE dbo.SQLCpuPerfMonScratch (
	SampleTime varchar (50) NULL ,
	SQLServerIOTransactionsSec float NULL ,
	SQLServerIOPageReadsSec float NULL ,
	SQLServerIOLogWritesSec float NULL ,
	SQLServerIOBatchWritesSec float NULL ,
	Processor0 float NULL ,
	PhysicalDiskWritesSec float NULL ,
	PhysicalDiskReadsSec float NULL ,
	PhysicalDiskAvgDiskWrites float NULL ,
	PyhsicalDiskAvgDiskReads float NULL ,
	PhysicalDiskPctDiskWriteTime float NULL ,
	PhysicalDiskPctDiskReadTime float NULL ,
	MemoryPageFaultsSec float NULL ,
	LogicalDiskDiskWritesSec float NULL ,
	LogicalDiskDiskReadsSec float NULL ,
	LogicalDiskAvgDiskWrite float NULL ,
	LogicalDiskAvgDiskRead float NULL ,
	LogicalDiskPctWriteTime float NULL ,
	LogicalDiskPctDiskReadTime float NULL 
)
GO

/****** Object:  Table dbo.testsuite    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.testsuite (
	SuiteId int NOT NULL ,
	Name varchar (20) NULL ,
	TotalUserSimulated int NULL ,
	Description varchar (255) NULL 
)
GO

/****** Object:  Table dbo.MachineProcessEnvironment    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.MachineProcessEnvironment (
	SuiteId int NOT NULL ,
	MachineId int NOT NULL 
)
GO

/****** Object:  Table dbo.script    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.script (
	script_id int NOT NULL ,
	script_name varchar (50) NULL ,
	script_location varchar (255) NULL ,
	script_description varchar (255) NULL ,
	script_type int NULL 
)
GO

 CREATE  UNIQUE  INDEX PrimaryKey ON dbo.script(script_id)
GO

 CREATE  UNIQUE  INDEX script_name ON dbo.script(script_name)
GO

/****** Object:  Table dbo.Test    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.Test (
	TestId int NOT NULL ,
	SuiteId int NOT NULL ,
	ScenarioName varchar (50) NULL ,
	StartTime datetime NULL ,
	EndTime datetime NULL ,
	TestComments varchar (255) NULL 
)
GO

/****** Object:  Table dbo.DataFile    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.DataFile (
	SuiteId int NULL ,
	FileId int IDENTITY (1, 1) NOT NULL ,
	script_id int NULL ,
	TestId int NULL ,
	Type smallint NULL ,
	MachineId int NULL ,
	Name varchar (20) NULL ,
	Location varchar (255) NULL ,
	StartTime datetime NULL 
)
GO

/****** Object:  Table dbo.DataFileDetail    Script Date: 6/26/97 2:25:05 PM ******/
CREATE TABLE dbo.DataFileDetail (
	FileDetailId int IDENTITY (1, 1) NOT NULL ,
	FileId int NULL ,
	Operation varchar (255) NULL ,
	ClientHost varchar (50) NULL ,
	StartTime datetime NULL ,
	EndTime datetime NULL ,
	TimeToComplete float NULL ,
	IISBytesSent int NULL ,
	IISBytesReceived int NULL ,
	IISServiceStatus int NULL ,
	SQLReads int NULL ,
	SQLWrites int NULL 
)
GO

 CREATE  INDEX DataFileDetailFileidIX1 ON dbo.DataFileDetail(FileId)
GO

/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/26/97 2:25:05 PM ******/
/****** Object:  Stored Procedure dbo.CleanILScratch    Script Date: 6/3/97 10:53:31 AM ******/
create procedure CleanILScratch as begin

/* get rid of blank lines */

delete from inetloadscratch where oneline is null

/* get rid of log lines with no commas */

delete from inetloadscratch where oneline not like '%,%'

/* get rid of log lines from error */

delete from inetloadscratch where substring(oneline,1,5) = 'DATE:'
delete from inetloadscratch where substring(oneline,1,5) = 'ACCEPT:'
delete from inetloadscratch where substring(oneline,1,5) = 'LAST-'
delete from inetloadscratch where substring(oneline,1,8) = 'EXPIRES:'
end

GO

/****** Object:  Stored Procedure dbo.ParseIisPerf    Script Date: 6/26/97 2:25:05 PM ******/
create procedure ParseIisPerf @suiteid int, @testid int
as begin
insert iiscpuperfmon
select @suiteid, @testid, i.* 
from IISCpuPerfMonScratch i
delete from iiscpuperfmonscratch
end

GO

/****** Object:  Stored Procedure dbo.ParseSqlPerf    Script Date: 6/26/97 2:25:05 PM ******/
create procedure ParseSqlPerf @suiteid int, @testid int
as begin
insert sqlcpuperfmon
select @suiteid, @testid, s.* 
from SqlCpuPerfMonScratch s
delete from sqlcpuperfmonscratch
end

GO

/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/26/97 2:25:05 PM ******/
/****** Object:  Stored Procedure dbo.ParseIISLog    Script Date: 6/3/97 10:53:31 AM ******/
create procedure ParseIISLog 	@machineid int,
                                @suiteid int,
				@testid int
as begin

declare @fileid int


begin transaction
insert datafile (type, machineid, suiteid, testid ) values (2, @machineid, @suiteid, @testid)

select @fileid = @@identity

insert datafiledetail (fileid,operation,clienthost,starttime,timetocomplete,iisbytessent,iisbytesreceived,iisservicestatus) 
select @fileid, operation + target + parameters, clienthost, logtime, processingtime * .001, bytessent, bytesrecvd, servicestatus
  from inetlog

delete from inetlog
commit transaction

end /* procedure */
GO

/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/26/97 2:25:05 PM ******/
/****** Object:  Stored Procedure dbo.ParseInetLoad    Script Date: 6/3/97 10:53:31 AM ******/
create procedure ParseInetLoad @machineid int,
                               @suiteid int,
                               @testid int
as begin

set nocount on

/* if no records do not create datafile record and get the heck outta here */

declare @cnt int

select @cnt = count(logtime)
  from inetload

if @cnt = 0 return

/* set up a record for this data file */

declare @fileid int

insert datafile (type, machineid, suiteid, testid ) values (1, @machineid, @suiteid, @testid)

select @fileid = @@identity

insert datafiledetail (fileid, clienthost, starttime, timetocomplete, operation) 
select @fileid,
convert(varchar(30),client),
convert(datetime,logtime),
convert(float,timetocomplete * .001),
operation
from inetload
where timetocomplete <> 0 and
operation not like '%501 NOT SUPPORTED%' and
operation not like '%gif%' and 
operation not like '%jpg%'

end /* procedure */


GO

