VERSION 5.00
Begin VB.Form FTestData 
   Caption         =   "Create Test Data"
   ClientHeight    =   1935
   ClientLeft      =   60
   ClientTop       =   420
   ClientWidth     =   6600
   LinkTopic       =   "Form1"
   ScaleHeight     =   1935
   ScaleWidth      =   6600
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtSubDept 
      Height          =   375
      Left            =   2400
      TabIndex        =   11
      Text            =   "Text1"
      Top             =   0
      Width           =   975
   End
   Begin VB.TextBox txtProductVariant 
      Height          =   375
      Left            =   2400
      TabIndex        =   10
      Text            =   "Text1"
      Top             =   720
      Width           =   975
   End
   Begin VB.TextBox txtSKUs 
      Height          =   375
      Left            =   4800
      TabIndex        =   8
      Text            =   "Text1"
      Top             =   720
      Width           =   1215
   End
   Begin VB.CheckBox chkJulian 
      Caption         =   "Julian Dates"
      Height          =   495
      Left            =   4800
      TabIndex        =   7
      Top             =   1200
      Width           =   1215
   End
   Begin VB.CommandButton cmdEnumerate 
      Caption         =   "Write Data to Disk"
      Height          =   495
      Left            =   2160
      TabIndex        =   6
      Top             =   1320
      Width           =   1935
   End
   Begin VB.TextBox txtProductFamily 
      Height          =   375
      Left            =   2400
      TabIndex        =   4
      Text            =   "Text1"
      Top             =   360
      Width           =   975
   End
   Begin VB.TextBox txtDept 
      Height          =   375
      Left            =   1560
      TabIndex        =   1
      Text            =   "Text1"
      Top             =   0
      Width           =   855
   End
   Begin VB.CommandButton cmdCreateDataStructures 
      Caption         =   "Create Test Data"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   1320
      Width           =   1935
   End
   Begin VB.Label lblSKUs 
      Caption         =   "Number of SKUs:"
      Height          =   375
      Left            =   4800
      TabIndex        =   9
      Top             =   240
      Width           =   1215
   End
   Begin VB.Label lblProductVariant 
      Caption         =   "AW_product_variant"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   840
      Width           =   2055
   End
   Begin VB.Label lblProductFamily 
      Caption         =   "AW_product_family"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   480
      Width           =   2055
   End
   Begin VB.Label lblDept 
      Caption         =   "AW_dept"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "FTestData"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_nStore As Collection

Private Function AddTopLevelDepartmentToStore(ByVal dept_id As Integer) As Integer

        txtDept = CInt(txtDept) + 1
        Refresh
        
        Dim oDepartment As CDepartment
        Set oDepartment = New CDepartment
        
        oDepartment.dept_id = dept_id
        oDepartment.parent_id = iTOP_LEVEL_PARENT_ID
        oDepartment.AddSubDepartments Me
        
        m_nStore.Add oDepartment
                
        AddTopLevelDepartmentToStore = oDepartment.NextDeptID
        
        Set oDepartment = Nothing

End Function

Private Sub AddTopLevelDepartment()

    Dim i As Integer
    Dim iMaxSku As Integer
    iMaxSku = CInt(txtSKUs)
    
    i = lSTARTING_PARENT_DEPARTMENT
    Do
        
        i = AddTopLevelDepartmentToStore(i)
        
                
    Loop Until MaxVariants(0, iMaxSku)
    
    
    
End Sub



Private Sub cmdCreateDataStructures_Click()
    
'    Static Created As Boolean
'    If Created = True Then
    
'        Unload Me
        
'    Else
       
'        Created = True
        ' cmdCreateDataStructures.Caption = "Unload Me"
        g_iVariantCount = 0
        txtDept = 0
        Set m_nStore = Nothing
        Set m_nStore = New Collection
        AddTopLevelDepartment
        
    ' End If
    
End Sub

Private Sub cmdEnumerate_Click()

    Open App.Path & "\" & "AW_dept.txt" For Output Access Write Lock Write As #1
    Open App.Path & "\" & "AW_product_family.txt" For Output Access Write Lock Write As #2
    Open App.Path & "\" & "AW_product_variant.txt" For Output Access Write Lock Write As #3
    
    Dim oDepartment As CDepartment
    For Each oDepartment In m_nStore
    
        EnumerateDepartment oDepartment
        oDepartment.Enumerate chkJulian
        
    Next
    
    Close #3
    Close #2
    Close #1
    
End Sub

Private Sub Form_Initialize()
    
    Set m_nStore = New Collection
    CreateSizeTypes
    
End Sub

Private Sub Form_Load()
    txtDept = 0
    txtSKUs = iMAX_SKU
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    
    Set m_nStore = Nothing
    DestroySizeTypes
    
End Sub

Private Sub txtSKUs_Change()
    If txtSKUs = Empty Then
        txtSKUs = 0
        txtSKUs.SelStart = 0
        txtSKUs.SelLength = 1
    End If
End Sub

Private Sub txtSKUs_KeyPress(KeyAscii As Integer)
    If KeyAscii < 48 Or KeyAscii > 57 Then
        KeyAscii = 0
    End If
End Sub
