VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "cFile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Dim sError          As String
Dim lReturn         As Long

Public Property Get Error() As String
    Error = sError
End Property

Public Property Let Error(ByVal sNewValue As String)
    sError = sNewValue
End Property

Public Function ReadFileToString(sFileName As String) As String
    On Error GoTo ErrorHandler
    sError = vbNullString
    
    Dim lSize               As Long
    Dim iFileNumber         As Integer
    Dim sFileContents       As String
    
    iFileNumber = FreeFile
    Open sFileName For Binary Access Read As #iFileNumber
    lBytesInFile = LOF(iFileNumber)
    sFileContents = String(lBytesInFile, 0)
    Get #iFileNumber, , sFileContents
    Close #iFileNumber
    ReadFileToString = sFileContents
    
    Exit Function
ErrorHandler:
    sError = Err.Number & " " & Err.Description & " " & Err.LastDllError
    Resume Next
End Function

Public Function ReadFileToByteA(sFileName As String) As Variant
    On Error GoTo ErrorHandler
    sError = vbNullString
    
    Dim lSize               As Long
    Dim iFileNumber         As Integer
    Dim sFileContents       As String
    Dim bFileContents()     As Byte
    
    iFileNumber = FreeFile
    Open sFileName For Binary Access Read As #iFileNumber
    lBytesInFile = LOF(iFileNumber)
    sFileContents = String(lBytesInFile, 0)
    Get #iFileNumber, , sFileContents
    Close #iFileNumber
    
    ReDim bFileContents(lBytesInFile)
    bFileContents = StrConv(sFileContents, vbFromUnicode)
    ReadFileToByteA = bFileContents
    
    Exit Function
ErrorHandler:
    sError = Err.Number & " " & Err.Description & " " & Err.LastDllError
    Resume Next
End Function

